[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Netscape/Squid/Apache : HTTP/1.0 ???



Bonsoir,

En faisant des essais avec PHP4 sur tux.linux-nantes.fr.eu.org, je me 
suis aperçu que mon Netscape 4.76 causait en HTTP/1.0, et non en 
HTTP/1.1 comme je l'aurais cru pour un navigateur à peu près moderne, 
surtout que les docs de la version 4.0beta5 causent de HTTP/1.1.
J'ai cherché alors en enlevant mon proxy Squid, mais il est censé être 
compatible et ça n'a rien changé...
Je n'ai rien trouvé non plus du côté de Apache (1.3.12 ici, 1.3.9 sur 
tux, toutes les deux en Debian 2.2, la mienne étant un peu bricolée à 
coups de KDE2 et de Ximian-GNOME).
Avec Mozilla M18, ça cause en HTTP/1.1 quand j'enlève le proxy, et en 
1.0 avec...
Quand Squid est dans le coup, la variable d'environnement HTTP_VIA 
contient "1.1 sepultura.chips.bzh:3128 (Squid/2.2.STABLE5)" avec Moz,
et "1.0 ..." avec Communicator.

Si quelq'un comprend quelque chose à ma prose et à ce genre de choses, 
ça m'arrangerait bien d'avoir quelques explications.

Merci d'avance,

-- 
Christophe "CHiPs" PETIT <chips@chips.fr.eu.org>   http://chips.free.fr/
Linux-Nantes: Partagez Votre Savoir   http://www.linux-nantes.fr.eu.org/
http://www.debian.org/  Debian: When Code Matters More Than Commercials.
[You are number 6! Who is number one?]



Reply to: